lgt2xml(1)

NAME
lgt2xml - Logtalk script for generating an index of all XML documenting files in the current directory

SYNOPSIS
lgt2xml [ -f format ] [ -i index ] [ -t title ]
lgt2xml -h

DESCRIPTION
lgt2xml is a Logtalk script for generating an index of all XML documenting files in the current directory, allowing direct visualization of the XML files on a supported web browser.

OPTIONS

-f format
    Format of the index file (either xhtml or html).

-i index
    Name of the index file.

-t title
    Title to be used on the index file.

-h  Prints a summary of the script options.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.dtd
    The Logtalk entity DTD file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.dtd
    The Logtalk index DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.xsd
    The Logtalk entity XML Schema file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.xsd
    The Logtalk index XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk.css
    The default CSS file for the generated (X)HTML title file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_entity_to_xml.xsl
    The Logtalk entity XSLT file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_index_to_xml.xsl
    The Logtalk index XSLT file.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), lgt2html(1), lgt2txt(1), lgt2pdf(1), lgt2md(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2020 Paulo Moura.